Welcome!!!

Welcome to AbsoluteTelnet the quickest, easiest, and most complete Telnet and SSH client for Windows 95/98/ME/NT/2000 and XP!! For the most up-to-date information on the latest version of AbsoluteTelnet, visit the Celestial Software website

When you choose AbsoluteTelnet, you're making an investment in quality software. AbsoluteTelnet has been designed with usability as its primary focus. Try it free for 30 days and you'll be a believer, too! With uncompromising attention to detail and accuracy, AbsoluteTelnet has a very comfortable and familiar feel the first time you use it. As a 32-bit multi-threaded app, it is as fast as lightning and responds quickly to user input even when heavily loaded. Before you continue, browse through a more detailed list of the features of AbsoluteTelnet. When you decide to buy, check out how to register.

If you're new to telnet or SSH, check out the Getting Started Guide to make it easy!


Getting Started

AbsoluteTelnet

AbsoluteTelnet has been designed around the document-centric application paradigm to provide the most intuitive interface to the user. Implicit in that design is a high degree of integration with the Windows Shell. AbsoluteTelnet operates around the concept of the "AbsoluteTelnet Connection File" which is simply a file with the extension '.tnt' that is created, manipulated, and used by AbsoluteTelnet to hold information about each host that you connect to.

An AbsoluteTelnet Connection File can be created from within AbsoluteTelnet or directly in Windows Explorer using the File->New menu command. From the ''Global' menu under Options->Properties, AbsoluteTelnet can be configured to provide a list of preconfigured sessions at program startup or simply load the most recent one used. Of course, you can always just double-click a connection file anywhere in Windows to quickly start the program and establish a connection

To modify the properties (color, font, hostname, etc..) of the AbsoluteTelnet Connection, right click on the connection file and choose properties from the context menu. This will bring up the property sheets that allow you to change the information contained in the AbsoluteTelnet Connection File. These property sheets are also available from within AbsoluteTelnet when a Connection File is open.

AbsoluteTelnet Connection Files can be created anywhere to tailor to the way you work. Place them in the Start Menu, Task Bar, on the Desktop, or in any folder.


Connection Files

The AbsoluteTelnet Connection file (.tnt extension) holds the user's selections for each named connection. Connection files hold information such as the foreground/background colors and connection settings for the connection. The user can manipulate the connection files through the Options->Properties menu item and can load and save through file/load file/save commands. Connection files can also be manipulated through the Windows Explorer shell by right-clicking on the connection file and choosing 'properties' from the context menu.


Registration

This is an abbreviated description of the terms of the licenses agreement, for more detailed legal information, view the entire license agreement.

You are granted a license to try AbsoluteTelnet FREE for as long as you want!! During your trial period, ads will be displayed. If, at any time, you wish to make the ads go away, all you have to do is pay a $29.95 registration fee.

To register, select the Options->Register menu item. You will be taken to the Celestial Software secure web site where you will be able to purchase the software instantly online!!! Nothing could be easier!

If you have any questions of comments about the registration process, the trial period, or the display of advertising within AbsoluteTelnet, you may contact Brian Pence at:

bpence@celestialsoftware.net


License

END USER LICENSE AGREEMENT FROM CELESTIAL SOFTWARE
Carefully read the following End User License Agreement ("EULA"). The EULA is a legal agreement between you the user and Celestial Software for the use of AbsoluteTelnet ("the "Software"). This EULA contains the conditions under which you may use the software as well as warranty and liability disclaimers. By installing, copying or using the Software, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install, copy, or use the Software. This Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. This Software is licensed, not sold.

GRANT AND TERM OF LICENSE

Subject to your compliance with the terms of this Agreement, Celestial Software grants to you a personal, nonexclusive, nontransferable right to install and use one registered copy of the Software as described in section 5 (EVALUATION AND REGISTRATION).

RESTRICTIONS

The licensed version of this software may be installed only on computers controlled by you. By purchasing a license, you have the right to install the licensed software on your primary business machine as well as your primary home computer if the original license is purchased primarily for business use. The right to use the Software is not transferable to another user. This Agreement and the license granted in it shall continue until Celestial Software announces its termination, and will terminate automatically if you fail to comply with the limitations described in this Agreement. Upon any termination, or if you should give up your personal use and control of the computers on which the Software is installed, you agree to destroy all copies of the Software.

REDISTRIBUTION

The Software may be freely redistributed with all supplied files in its original executable archive format, provided that you verify you are distributing the free, non-registered version as is available from the Celestial Software web site.

REVERSE ENGINEERING

You may NOT debug, disassemble, or otherwise reverse engineer any component of this software. Doing so invalidates this license and revokes your right to evaluation.

EVALUATION AND REGISTRATION

This is not free software. You are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee of $29.95 is required. Payments must be in US dollars, and can be made via a secure website by choosing Options->Register from within the program.

NO WARRANTY

ANY USE OF THE SOFTWARE PRODUCT IS AT YOUR OWN RISK. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, CELESTIAL SOFTWARE DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL CELESTIAL SOFTWARE BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF CELESTIAL SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

MISCELLANEOUS

This EULA is governed by the laws of the State of Tennessee, U.S.A. Should you have any questions concerning this EULA, or if you desire to contact Celestial Software for any reason, please write: Celestial Software, 3917 Lauren Beth Cove, Bartlett TN. 38135.


Features

This is a comprehensive list of all the feature elements of AbsoluteTelnet.

  • 32-bit multi-threaded speed and reliability
  • 95/98/ME/NT/2000/XP compatible
  • Winsock 1.x and 2.x compatible
  • Multiple connection types
    • Telnet
    • Telephony(TAPI) modem dialup
    • SSH
    • Direct Serial port connections
  • XModem, YModem, and ZModem file transfer
  • Automic version update notification
  • Multiple terminal types supported
    • VT52
    • VT100
    • VT220
    • VT320
    • ansi
    • QNX
    • xterm
    • SCO ANSI
  • Full Keyboard re-mapping
  • Emacs compatibility
  • Passthru Printing
  • Supports all VT screen attributes including bold, underline, and blinking text.
  • Windows size negotiation (Telnet SSH1, and SSH2 only)
  • Terminal type negotiation (Telnet SSH1, and SSH2 only)
  • Windows Explorer integration (property sheets, shell extensions, shell execution, shell new, context menus)
  • Large scrollback
  • Normal and Rectangular selection
  • Extensive scrollback text selection features
  • Keyboard command for *everything*
  • HTML Help help system and extensive context sensitive help
  • Context menu for access to more frequently used commands
  • Supports TrueType fonts at *any* size
  • Full control of foreground/background coloration
  • Windows style toolbar and status bar for easy access to commands and status information


Compatibility

AbsoluteTelnet will run under either Windows 95 or NT4.0. The VT100 emulation has been tested extensively against the following platforms (visit some of their websites below):
  • Sun Solaris
  • Linux
  • IBM AIX
  • HP-UX
  • Pyramid
  • AT&T
  • DEC
  • SGI
  • Sequent


Emacs Compatibility

AbsoluteTelnet maintains compatibility with Emacs by allowing configuration of the alt-key to be the emacs meta key. From the Options->Properties->VT Keypad, enable the "Use Alt key as Emacs meta key" checkbox

It is important to note that when this option is enabled, the keyboard shortcuts for the application menus will be disabled.

Additionally, to be more compatible with Emacs, the ctrl-space combination now sends the null character


Keyboard

Keyboard Usage

Cursor Keys

Without keyboard modifiers, the cursor keys send the appropriate escape sequences as defined by the current emulation. With the Ctrl key held, the cursor keys perform the following actions:
  • Up-Arrow: move up in scrollback one line
  • PG-UP: move up in scrollback one page
  • Home: move to the top of the scrollback
  • Down-Arrow: move down in scrollback one line
  • PG-DN: move down in scrollback one page
  • End: move to the bottom of the scrollback

Function Keys

For the VT100 emulation, the first four function keys send the standard vt100 function key escape sequences.

Break Key

To send a BREAK in a telnet or serial connection, press the Ctrl-Break key combination. In a telnet session, this will send the telnet BREAK command. For serial connections, this will send a one second serial BREAK signal on the currently open serial port.

Copy/Paste Keys

Because the host may count on being able to receive Ctrl-C and Ctrl-V as keypresses, AbsoluteTelnet uses Ctrl-Ins as Copy and Shift-Ins as Paste.


Keyboard Mapping

The keyboard maping functionality can be accessed through the "Edit Keymap" button on the Options->Properties->VT Options menu option.

Pressing the button brings up the keymap manager. Keyboard maps are stored for each Connection File inside of the connection file itself. This allows you to store different keymaps for each of your hosts.

The keymap manager will display any existing mapped keys and allows you to add, modify, or delete key mappings. To add a new mapping, click the add button. You will be presented with the following dialog.

Now, press any key combination that you want to re-map. Any combination of keys using control, shift, and alt can be used.

Now you can define the new text for the key. This text can be either a single character or multiple characters. To configure the mapping to send characters that are not normally printable, use the following syntax for the unprintable character:

\x??

where ?? is the HEX value for the character to be sent. For example \x1B will send character 27, the escape character. Additionally, you can use the following pre-defined text strings to map keys to existing command in AbsoluteTelnet:

Command Text | Command Description
CMD-copy | map a key to the 'Edit->Copy' menu command (normally ctrl-ins)
CMD-paste
 map a key to the 'Edit->Paste' menu command (normally shift-ins)
CMD-newwindow
 map a key to the 'File->New->Window' menu command (normally alt-n)
CMD-togglepassdest
 map a key to toggle the passthru destination between printer and file (normally alt-p)

CMD-insert
CMD-delete
CMD-pageup
CMD-pagedown
CMD-end
CMD-home
CMD-arrowleft
CMD-arrowup
CMD-arrowright
CMD-arrowdown

Map a key to one of the terminal specific terminal commands. It is important to note that not all commands are defined for each terminal type. The commands send a terminal specific control sequence from the client to the host.

For example, CMD-insert sends 'CSI 2 ~ ' in xterm mode, but 'ESC @' in ansi mode and remains undefined in VT52 mode.
CMD-scrolluppage
CMD-scrolldownpage
CMD-scrollend
CMD-scrollhome
CMD-scrollleft
CMD-scrollup
CMD-scrollright
CMD-scrolldown

These commands allow you to redefine the control keys that operate the scrollbar. Normally, holding ctrl in combination with the page-up, page-down, end, home, left, up, right, and down arrows will allow you to move around the scrollback buffer using the keyboard instead of the mouse. If you want to redefine this functionality, you can with keymapping.

For example, by mapping the ctrl-alt-f10 key to the text 'CMD-scrolldownpage', you now have a new keyboard shortcut to scroll down a page of the scrollback.
CMD-PF1
CMD-PF2
CMD-PF3
CMD-PF4
CMD-keypad0
CMD-keypad1
CMD-keypad2
CMD-keypad3
CMD-keypad4
CMD-keypad5
CMD-keypad6
CMD-keypad7
CMD-keypad8
CMD-keypad9
CMD-keypadenter
CMD-keypadplus
CMD-keypadcomma
CMD-keypaddecimal

These commands will cause the terminal to send the default escape sequences used by the VT keypad. The keypad has two modes, 'numeric', and 'applicaton', and the escape sequences will vary depending on the mode the keypad is in. Of course, users don't normally specify the keypad mode directly. It is something that is specified by the host.

For example, CMD-keypad6 will send a 6 in numeric mode, but 'ESC O v' in application mode.


Mouse Usage

Selecting

  • Double-clicking selects an entire word.
  • Triple-clicking selects an entire line.
  • Quad-clicking selects an entire screen.
  • To select a portion of the screen to print or copy, hold down the primary mouse button in the AbsoluteTelnet window and drag the mouse.
  • If you drag the mouse out of the window, the screen will start to scroll.
  • The farther you drag the mouse off the screen, the faster the screen will scroll.
  • To continue the selection, hold down the Ctrl key and continue dragging.

Printing

To print the current selection, choose the File/Print command or press the print button on the toolbar.

Copying

To copy the current selection, choose the Edit/Copy command of press the copy button on the tollbar. Copying can also be done by pressing the Ctrl-Ins keyboard combination.


Printing

AbsoluteTelnet provides two different methods of printing. To print, click the printer icon on the tool bar or go to file->print. Then either select "Screen" or "Selection". If "Screen" is chosen, then the application will print what appears in the terminal window. To print a specific selection of text, highlight the desired text (incorporating scrolling, if desired), go to the print window, and choose "Selection". The application also includes the Windows standard printer selection box.


Popup Menu

This feature is used by right-clicking in the terminal window. It brings up 4 options:
  • "Copy" (CTRL-INS) - This command copies the selected text from the terminal window into the clipboard.
  • "Paste" (SHIFT-INS) - This command pastes the text from the clipboard to the terminal window.
  • "Find" - This enables the user to find text strings within the terminal window.
  • "Find Next" - This finds the next occurrence of the string that was specified with the previous Find command.


Windows Integration

AbsoluteTelnet is well-integrated with Windows Explorer and the AbsoluteTelnet Internet website.

Explorer

Connection configurations can be modified by right-clicking on the connection file and selecting properties. Copying base connection files and modifying the copies is an easy and quick way to setup all of your connections.

The Internet

Not only is the AbsoluteTelnet helpfile integrated (through Internet Explorer), but the application is "update-supported" through access to the Celestial Software website. This program also performs its own version checking.


Scrollback

AbsoluteTelnet has strong scrollback capability. You can access history as far back as you like, much further than traditional telnet applications. The scroll bar on the right side of the terminal window is enabled by default. It can be toggled in the appearance options menu.

Normal text selections can be made using the left mouse button to click and drag the selection. Additionally, rectangular selections can be made by holding down the alt key prior to making the selection.

If the mouse moves out of the terminal window during a drag operation, the terminal window will automatically scroll (either up or down) to allow selection of sections that span off the screen.


Appearance Options

This screen allows you to adjust various appearance settings for the AbsoluteTelnet application as well as individual connection files, as follows:

Color

This section allows you to modify the color settings within the application. The "Foreground" and "Background" buttons bring up a standard Windows color paletes. These choices are saved in the connection configuration file. If you press the "Save Default" button, the default colors for the entire application are set from the color scheme you have chosen for this particular connection file.

When the application is first run, "Use Windows Defaults" is the only option enabled. However, after editing foreground and/or background settings, you can select from any of the following:

  • "Use Connection Colors" - This option enables the individual color scheme the you have setup for the connection.
  • "Use Color Cycling" - This option causes the application to cycle through your defined color schemes, every time you load the connection.
  • "Use Application Defaults" - This option loads the application default colors, bypassing the connection's individual color settings. This option is only enabled after pressing the "Save Default" button.
  • "Use Windows Defaults" - By selecting this, the application uses the current Windows color settings.

Display Options

  • "Tool Bar" - Enables some convenient buttons on the tool bar above the emulation window.
  • "Status Bar" - Enables the application to display connection statistics below the emulation window.
  • "Scroll Bar" - If checked, the scroll bar on the right side of this main window appears and is enabled. This allows you to scroll and review historical commands, etc.

Font

By clicking on the "Font" button, you can set the default font type and size, displayed in the application.


VT Options

This screen allows you to adjust various emulation settings for the AbsoluteTelnet application, as follows:

Backspace Mapping

This option maps either the backspace (BS) key or the Delete (DEL) key for backspacing on the terminal.

Screen Size

This option allows you to configure specific row and column size settings. This setting automatically updates, when you stretch or shrink the terminal window with the mouse.

Mousing

The mousing option gives you the ability to specify how the application reacts when it is in the focus of the mouse. If "Windows Mousing" is checked, then the user must click on the application window to to gain focus. However, if "X Mousing" is checked, the application automatically recieves focus when the mouse is over it. It will then accept keyboard input.


Proxy Options

This screen allows you to adjust the proxy settings for the current connection file. If you have a proxy server available, make sure it supports Socks 4 proxy. Check with your system administrators to be sure. Enter the hostname or IP address of the proxy server in this dialog.

*WARNING* There is a limitation in the Socks 4 protocol that requires you to know the IP address of the host you are connecting to (in the Connection tab) or your computer must be able to resolve the ip address from the hostname without the proxy. You can try pinging the hostname from the command line to see if the address is resolved accurately. If it is, you can use the hosname in the Connection tab. If it is not, you *must* use the IP address. Socks 5 (not yet implemented) resolves the problem by allowing the proxy server to resolve the hostname to an IP address itself.

Socks 4 Proxy

  • "Use proxy" - When checked, the proxy setup boxes are enabled.
  • "Host" - Enter the proxy IP address here.
  • "Port" - Enters the proxy port here.


Global Options

This properties tab allows you to configure some aspects of the application. These settings will be reflected throughout all of your connection files.

Version Checking

This program automatically goes out to the Celestial Software website to detect whether a newer version has been released. The "Ignore Version XXX and below" checkbox forces the application to ignore checking for version XXX and below, when it performs its version checking task.

Behavior

This section allows you to adjust various application defaults. Upon first use of the application, you will be prompted to set some of these defaults. These options do not have to be configured permanently. If the "Prompt" option is checked, the application will ask you configuration questions, upon opening every connection file.

  • "Close application on disconnect" - This checkbox forces the application to close upon disconnect. If enabled, it will close whether the user closes the connection or whether the remote host closes it.
  • "Allow close while connected" - This option allows the user to close the application, while still connected to the remote host.
  • "Connect on open" - When this option is checked, the application automatically connects upon openning any connection file.
  • "Save on exit" - If this checkbox is enabled, the application automatically saves the connection file's current settings upon exiting.
  • "Make this program the default telnet" - This modifies Windows settings to allow this program to be the default Windows program for telnet connections.


Connection Options

This program is versitile in its connection options. This screen allows the user to alter the various connectivity settings for the current connection file as follows:

Telnet Settings

  • "Hostname" - This is the IP address or hostname of the connection.
  • "Port" - This is the port specified for connection to the server. For telnet connections, the default falue for this field is 23.

Modem Settings

This program supports Microsoft Telephony.

  • "Country" - The country the application is dialing.
  • "Area" - This is the area code of the number the application is dialing.
  • "Phone" - The telephone number the application is dialing.

COM port Settings

This program supports direct COM port connections.

SSH Settings

This program supports SSH settings.


Options Menu

Properties
Appearance
Connection
Proxy
VT Options
Application

Register


Transfer Options

This screen allows you to change settings for file transfer options. This program supports Xmodem, Ymodem, and ZModem file transfers. To auto-initiate a recieve on the host end, you can left-click & drag a file into the terminal window and the appropriate "start text" will be sent to the receiver side to begin the transfer using the default transfer method. To choose which transfer method to use, use right-click & drag to drag the file into the terminal window. The default transfer method will be set to the last transfer method used.


VTTEST Score

VTTest Score on the web
VTTEST VT100/VT102 Compatibility Test Score Sheet
(AbsoluteTelnet 1.50 and above)

Program and version: AbsoluteTelnet 1.5 Date: ____10 Jan 98___
Score: ____98____ + Extra credit: ____5____ = Final score: ____103___
Check box if test passed. Score 1 point per check mark.
Perfect score = 100 points. Extra credit at end.

1. Test of cursor movements

[1] 1. Text inside frame of E's inside frame of *'s and +'s, 80 columns
[1] 2. Text inside frame of E's inside frame of *'s and +'s, 132 columns
[1] 3. Cursor-control chars inside ESC sequences
[1] 4. Leading 0's in ESC sequences

2. Test of screen features

[1] 5. Three identical lines of *'s (test of wrap mode)
[1] 6. Test of tab setting/resetting
[1] 7. 132-column mode, light background
[1] 8. 80-column mode, light background
[1] 9. 132-column mode, dark background
[1] 10. 80-column mode, dark background
[1] 11. Soft scroll down
[1] 12. Soft scroll up / down
[1] 13. Jump scroll down
[1] 14. Jump scroll up / down
[1] 15. Origin mode test (2 parts)

Graphic Rendition test pattern, dark background

[1] 16. Normal ("vanilla")
[1] 17. Normal underlined distinct from normal
[1] 18. Normal blink distinct from all above
[1] 19. Normal underline blink distinct from all above
[1] 20. Normal reverse ("negative") distinct from all above
[1] 21. Normal underline reverse distinct from all above
[1] 22. Normal blink reverse distinct from all above
[1] 23. Normal underline blink reverse distinct from all above
[1] 24. Bold distinct from all above
[1] 25. Bold underlined distinct from all above
[1] 26. Bold blink distinct from all above
[1] 27. Bold underline blink distinct from all above
[1] 28. Bold reverse ("negative") distinct from all above
[1] 29. Bold underline reverse distinct from all above
[1] 30. Bold blink reverse distinct from all above
[1] 31. Bold underline blink reverse distinct from all above

Graphic Rendition test pattern, light background

[1] 32. Normal ("vanilla")
[1] 33. Normal underlined distinct from normal
[1] 34. Normal blink distinct from all above
[1] 35. Normal underline blink distinct from all above
[1] 36. Normal reverse ("negative") distinct from all above
[1] 37. Normal underline reverse distinct from all above
[1] 38. Normal blink reverse distinct from all above
[1] 39. Normal underline blink reverse distinct from all above
[1] 40. Bold distinct from all above
[1] 41. Bold underlined distinct from all above
[1] 42. Bold blink distinct from all above
[1] 43. Bold underline blink distinct from all above
[1] 44. Bold reverse ("negative") distinct from all above
[1] 45. Bold underline reverse distinct from all above
[1] 46. Bold blink reverse distinct from all above
[1] 47. Bold underline blink reverse distinct from all above

Save/Restore Cursor

[1] 48. AAAA's correctly placed
[1] 49. Lines correctly rendered (middle of character cell)
[1] 50. Diamonds correctly rendered

3. Test of character sets

[1] 51. UK/National shows Pound Sterling sign in 3rd position
[1] 52. US ASCII shows number sign in 3rd position
[1] 53. SO/SI works (right columns identical with left columns)
[1] 54. True special graphics & line drawing chars, not simulated by ASCII

4. Test of double-sized chars

Test 1 in 80-column mode:

[1] 55. Left margin correct
[1] 56. Width correct

Test 2 in 80-column mode:

[1] 57. Left margin correct
[1] 58. Width correct

Test 1 in 132-column mode:

[1] 59. Left margin correct
[1] 60. Width correct

Test 2 in 132-column mode:

[1] 61. Left margin correct
[1] 62. Width correct

[1] 63. "The man programmer strikes again" test pattern
[1] 64. "Exactly half the box should remain"

5. Test of keyboard

[0] 65. LEDs.
[0] 66. Autorepeat
[1] 67. "Press each key" (ability to send each ASCII graphic char)
[1] 68. Arrow keys (ANSI/Cursor key mode reset)
[1] 69. Arrow keys (ANSI/Cursor key mode set)
[1] 70. Arrow keys VT52 mode
[1] 71. PF keys numeric mode
[1] 72. PF keys application mode
[1] 73. PF keys VT52 numeric mode
[1] 74. PF keys VT52 application mode
[1] 75. Send answerback message from keyboard
[1] 76. Ability to send every control character

6. Test of Terminal Reports

[1] 77. Respond to ENQ with answerback
[1] 78. Newline mode set
[1] 79. Newline mode reset
[1] 80. Device status report 5
[1] 81. Device status report 6
[1] 82. Device attributes report
[1] 83. Request terminal parameters 0
[1] 84. Request terminal parameters 1

7. Test of VT52 submode

[1] 85. Centered rectangle
[1] 86. Normal character set
[1] 87. Graphics character set
[1] 88. Identify query
8. VT102 Features

[1] 89. Insert/delete line, 80 columns
[1] 90. Insert (character) mode, 80 columns
[1] 91. Delete character, 80 columns
[1] 92. Right column staggered by 1 (normal chars), 80 columns
[1] 93. Right column staggered by 1 (double-wide chars), 80 columns
[1] 94. ANSI insert character, 80 columns
[1] 95. Insert/delete line, 132 columns
[1] 96. Insert (character) mode, 132 columns
[1] 97. Delete character, 132 columns
[1] 98. Right column staggered by 1 (normal chars), 132 columns
[1] 99. Right column staggered by 1 (double-wide chars), 132 columns
[1] 100. ANSI insert character, 132 columns

9. Extra credit

[1] 101. True soft (smooth) scroll
[1] 102. True underline
[1] 103. True blink
[1] 104. True double-high/wide lines, not simulated
[1] 105. Reset terminal (*)
[0] 106. Interpret controls (debug mode) (*)
[0] 107. Send BREAK (250 msec) (*)
[0] 108. Send Long BREAK (1.5 sec) (*)
[0] 109. Host-controlled transparent / controller print (*)
[0] 110. Host-controlled autoprint (*)

(*) Features of VT100 not tested by vttest.